Debian Bug report logs - #633089
hardwired 5 second limit assumes unloaded system

version graph

Package: nodm; Maintainer for nodm is Debian FreeSmartphone.Org Team <pkg-fso-maint@lists.alioth.debian.org>; Source for nodm is src:nodm.

Reported by: jidanni@jidanni.org

Date: Fri, 8 Jul 2011 09:51:02 UTC

Severity: important

Found in versions nodm/0.8-1, nodm/0.9-1

Reply or subscribe to this bug.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian FreeSmartphone.Org Team <pkg-fso-maint@lists.alioth.debian.org>:
Bug#633089; Package nodm. (Fri, 08 Jul 2011 09:51:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to jidanni@jidanni.org:
New Bug report received and forwarded. Copy sent to Debian FreeSmartphone.Org Team <pkg-fso-maint@lists.alioth.debian.org>. (Fri, 08 Jul 2011 09:51:07 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: jidanni@jidanni.org
To: submit@bugs.debian.org
Subject: doesn't read ~/.Xresources anymore etc. etc.
Date: Fri, 08 Jul 2011 17:48:07 +0800
Package: nodm
Version: 0.8-1

Starting today you no longer read the user's .Xresources .

Also we now see several flashes of an empty screen with an X in the
middle, whereas in the past we were spared of such a display.

I am working on finding out what else is now broken.




Information forwarded to debian-bugs-dist@lists.debian.org, Debian FreeSmartphone.Org Team <pkg-fso-maint@lists.alioth.debian.org>:
Bug#633089; Package nodm. (Fri, 08 Jul 2011 10:12:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to jidanni@jidanni.org:
Extra info received and forwarded to list. Copy sent to Debian FreeSmartphone.Org Team <pkg-fso-maint@lists.alioth.debian.org>. (Fri, 08 Jul 2011 10:12:03 GMT) Full text and rfc822 format available.

Message #10 received at 633089@bugs.debian.org (full text, mbox):

From: jidanni@jidanni.org
To: 633089@bugs.debian.org
Cc: enrico@debian.org, control@bugs.debian.org
Subject: more than just .Xresources not being read problems
Date: Fri, 08 Jul 2011 18:08:06 +0800
severity 633089 important
thanks
Well I loaded .Xresources by hand. At least new xterms are coming up
sized right, but their colors are wrong. I'll go back to using the
previous nodm until the mess gets fixed!




Severity set to 'important' from 'normal' Request was from jidanni@jidanni.org to control@bugs.debian.org. (Fri, 08 Jul 2011 10:12:05 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian FreeSmartphone.Org Team <pkg-fso-maint@lists.alioth.debian.org>:
Bug#633089; Package nodm. (Fri, 08 Jul 2011 10:21:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to jidanni@jidanni.org:
Extra info received and forwarded to list. Copy sent to Debian FreeSmartphone.Org Team <pkg-fso-maint@lists.alioth.debian.org>. (Fri, 08 Jul 2011 10:21:03 GMT) Full text and rfc822 format available.

Message #17 received at 633089@bugs.debian.org (full text, mbox):

From: jidanni@jidanni.org
To: 633089@bugs.debian.org
Subject: didn't even start
Date: Fri, 08 Jul 2011 18:16:50 +0800
P.S., sometimes the new nodm doesn't even start, and with no trace of
what the problem was in any log file.

P.S., the new nodm, if it does start, takes three times longer, and show
us those ugly "X" screens.





Information forwarded to debian-bugs-dist@lists.debian.org, Debian FreeSmartphone.Org Team <pkg-fso-maint@lists.alioth.debian.org>:
Bug#633089; Package nodm. (Fri, 08 Jul 2011 11:33:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Enrico Zini <enrico@enricozini.org>:
Extra info received and forwarded to list. Copy sent to Debian FreeSmartphone.Org Team <pkg-fso-maint@lists.alioth.debian.org>. (Fri, 08 Jul 2011 11:33:03 GMT) Full text and rfc822 format available.

Message #22 received at 633089@bugs.debian.org (full text, mbox):

From: Enrico Zini <enrico@enricozini.org>
To: jidanni@jidanni.org, 633089@bugs.debian.org
Subject: Re: Bug#633089: doesn't read ~/.Xresources anymore etc. etc.
Date: Fri, 8 Jul 2011 13:29:53 +0200
[Message part 1 (text/plain, inline)]
On Fri, Jul 08, 2011 at 05:48:07PM +0800, jidanni@jidanni.org wrote:

> Starting today you no longer read the user's .Xresources .

Did you set NODM_XSESSION to something different than /etc/X11/Xsession?

nodm just runs /etc/X11/Xsession after starting X, and the standard
/etc/X11/Xsession, at least in my system, loads X resources and does all
the other things found in /etc/X11/Xsession.d


Ciao,

Enrico


P.S.
Would you mind keeping your emotions to yourself and sticking to what is
useful for the bug report?
-- 
GPG key: 4096R/E7AD5568 2009-05-08 Enrico Zini <enrico@enricozini.org>
[signature.asc (application/pgp-signature, inline)]

Bug 633089 cloned as bug 633096. Request was from Enrico Zini <enrico@debian.org> to control@bugs.debian.org. (Fri, 08 Jul 2011 11:45:08 GMT) Full text and rfc822 format available.

Changed Bug title to 'nodm: does not read X resources' from 'doesn't read ~/.Xresources anymore etc. etc.' Request was from Enrico Zini <enrico@debian.org> to control@bugs.debian.org. (Fri, 08 Jul 2011 11:45:15 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian FreeSmartphone.Org Team <pkg-fso-maint@lists.alioth.debian.org>:
Bug#633089; Package nodm. (Fri, 08 Jul 2011 12:45:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to jidanni@jidanni.org:
Extra info received and forwarded to list. Copy sent to Debian FreeSmartphone.Org Team <pkg-fso-maint@lists.alioth.debian.org>. (Fri, 08 Jul 2011 12:45:03 GMT) Full text and rfc822 format available.

Message #31 received at 633089@bugs.debian.org (full text, mbox):

From: jidanni@jidanni.org
To: enrico@enricozini.org
Cc: 633089@bugs.debian.org
Subject: Re: Bug#633089: doesn't read ~/.Xresources anymore etc. etc.
Date: Fri, 08 Jul 2011 20:40:48 +0800
>>>>> "EZ" == Enrico Zini <enrico@enricozini.org> writes:
EZ> Did you set NODM_XSESSION to something different than /etc/X11/Xsession?
No I never touched that stuff. I assume there is some kind of race
condition going on. Well have to wait for other users reports. For now
it's aptitude forbid-version for me.




Information forwarded to debian-bugs-dist@lists.debian.org, Debian FreeSmartphone.Org Team <pkg-fso-maint@lists.alioth.debian.org>:
Bug#633089; Package nodm. (Fri, 08 Jul 2011 14:48:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Enrico Zini <enrico@enricozini.org>:
Extra info received and forwarded to list. Copy sent to Debian FreeSmartphone.Org Team <pkg-fso-maint@lists.alioth.debian.org>. (Fri, 08 Jul 2011 14:48:06 GMT) Full text and rfc822 format available.

Message #36 received at 633089@bugs.debian.org (full text, mbox):

From: Enrico Zini <enrico@enricozini.org>
To: jidanni@jidanni.org
Cc: 633089@bugs.debian.org
Subject: Re: Bug#633089: doesn't read ~/.Xresources anymore etc. etc.
Date: Fri, 8 Jul 2011 16:46:08 +0200
[Message part 1 (text/plain, inline)]
On Fri, Jul 08, 2011 at 08:40:48PM +0800, jidanni@jidanni.org wrote:

> >>>>> "EZ" == Enrico Zini <enrico@enricozini.org> writes:
> EZ> Did you set NODM_XSESSION to something different than /etc/X11/Xsession?
> No I never touched that stuff. I assume there is some kind of race
> condition going on.

Is there anything specific that makes you think it's a race condition?


Ciao,

Enrico

-- 
GPG key: 4096R/E7AD5568 2009-05-08 Enrico Zini <enrico@enricozini.org>
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian FreeSmartphone.Org Team <pkg-fso-maint@lists.alioth.debian.org>:
Bug#633089; Package nodm. (Sat, 09 Jul 2011 00:33:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to jidanni@jidanni.org:
Extra info received and forwarded to list. Copy sent to Debian FreeSmartphone.Org Team <pkg-fso-maint@lists.alioth.debian.org>. (Sat, 09 Jul 2011 00:33:06 GMT) Full text and rfc822 format available.

Message #41 received at 633089@bugs.debian.org (full text, mbox):

From: jidanni@jidanni.org
To: enrico@enricozini.org, 633089@bugs.debian.org
Cc: nomeata@debian.org, 591791@bugs.debian.org, debian-devel@lists.debian.org, 602511@bugs.debian.org, marco.amadori@gmail.com, l.capriotti@xbmc.org, pkg-fso-maint@lists.alioth.debian.org, amadorim@vdavda.com
Subject: Re: Bug#602511: Fwd: Re: upstart support for nodm
Date: Sat, 09 Jul 2011 08:30:54 +0800
All I know is you fellows broke nodm rather royally for me.
I use nodm on desktops and laptops, with Debian flavor:
deb http://ftp.us.debian.org/debian experimental main contrib non-free
deb http://ftp.us.debian.org/debian unstable main contrib non-free

I did aptitude forbid-version nodm and will stay with
nodm:
  Installed: 0.7-1.1
  Candidate: 0.8-1
for now. http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=633089
I fear assisting further test will injure my monitors, judging from how
the multitude of different behaviors observed upon start, no matter the
value of NODM_USER, including root and vanilla test accounts.

The old nodm started right away, no ifs ands or buts. On my three
computers, the new one just sputters along, popping in and out of a
blank screen and then back to the console and back to the blank screen.
Or dying completely. Or getting into X but not reading ~/.Xresources ...
etc. Must be some kind of a race condition, that's all I know. Yes, I
purged and reinstalled. Snap, crackle, pop. No more testing for me lest
I need to go to town to buy a new monitor.

P.S., Upon install we are asked "start at boot...?" Well if we say "no",
we will never be able to start it, and the rest of the configuration is
aborted. That message needs to be updated to sysv-rc-conf(8) era
thinking. Giving more details, for the user who still wants
/etc/init.d/nodm start to work, but not to start at boot. (I start via a
question with countdown in /etc/rc.local myself).




Information forwarded to debian-bugs-dist@lists.debian.org, Debian FreeSmartphone.Org Team <pkg-fso-maint@lists.alioth.debian.org>:
Bug#633089; Package nodm. (Sun, 10 Jul 2011 10:52:35 GMT) Full text and rfc822 format available.

Acknowledgement sent to Enrico Zini <enrico@enricozini.org>:
Extra info received and forwarded to list. Copy sent to Debian FreeSmartphone.Org Team <pkg-fso-maint@lists.alioth.debian.org>. (Sun, 10 Jul 2011 10:52:39 GMT) Full text and rfc822 format available.

Message #46 received at 633089@bugs.debian.org (full text, mbox):

From: Enrico Zini <enrico@enricozini.org>
To: jidanni@jidanni.org
Cc: 633089@bugs.debian.org
Subject: Re: Bug#633089: doesn't read ~/.Xresources anymore etc. etc.
Date: Sun, 10 Jul 2011 12:50:24 +0200
[Message part 1 (text/plain, inline)]
On Fri, Jul 08, 2011 at 08:40:48PM +0800, jidanni@jidanni.org wrote:

> EZ> Did you set NODM_XSESSION to something different than /etc/X11/Xsession?
> No I never touched that stuff. I assume there is some kind of race
> condition going on. Well have to wait for other users reports. For now
> it's aptitude forbid-version for me.

I suspect the resources were forgotten
during the many X resets that happened with 0.8, and that the fix to X
resets in 0.8 also fixed this bug.

Can you please try nodm 0.9 and let me know if this has been fixed?


Ciao,

Enrico

-- 
GPG key: 4096R/E7AD5568 2009-05-08 Enrico Zini <enrico@enricozini.org>
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian FreeSmartphone.Org Team <pkg-fso-maint@lists.alioth.debian.org>:
Bug#633089; Package nodm. (Sun, 10 Jul 2011 20:06:15 GMT) Full text and rfc822 format available.

Acknowledgement sent to jidanni@jidanni.org:
Extra info received and forwarded to list. Copy sent to Debian FreeSmartphone.Org Team <pkg-fso-maint@lists.alioth.debian.org>. (Sun, 10 Jul 2011 20:06:15 GMT) Full text and rfc822 format available.

Message #51 received at 633089@bugs.debian.org (full text, mbox):

From: jidanni@jidanni.org
To: enrico@enricozini.org
Cc: 633089@bugs.debian.org
Subject: Re: Bug#633089: doesn't read ~/.Xresources anymore etc. etc.
Date: Mon, 11 Jul 2011 04:05:05 +0800
EZ> Can you please try nodm 0.9 and let me know if this has been fixed?
Yes, thank you. It is much improved now, and now has only refused to
start once out of 10 times. So maybe the problem is 90% fixed.




Information forwarded to debian-bugs-dist@lists.debian.org, Debian FreeSmartphone.Org Team <pkg-fso-maint@lists.alioth.debian.org>:
Bug#633089; Package nodm. (Mon, 11 Jul 2011 11:53:23 GMT) Full text and rfc822 format available.

Acknowledgement sent to jidanni@jidanni.org:
Extra info received and forwarded to list. Copy sent to Debian FreeSmartphone.Org Team <pkg-fso-maint@lists.alioth.debian.org>. (Mon, 11 Jul 2011 11:53:36 GMT) Full text and rfc822 format available.

Message #56 received at 633089@bugs.debian.org (full text, mbox):

From: jidanni@jidanni.org
To: enrico@enricozini.org
Cc: 633089@bugs.debian.org
Subject: Re: Bug#633089: doesn't read ~/.Xresources anymore etc. etc.
Date: Mon, 11 Jul 2011 19:44:54 +0800
Yes nodm is working fine now... except I can't call it from
/etc/rc.local anymore. I must now do /etc/init.d/nodm by hand.

Looking at a slice of /var/log/Xorg.0.log for a normal session

[  1403.567] (**) Option "xkb_model" "pc105"
[  1403.567] (**) Option "xkb_layout" "us"
[  1403.567] (**) Option "xkb_options" "lv3:ralt_switch"
[ 26103.653] (II) Power Button: Close
[ 26103.702] (II) UnloadModule: "evdev"
[ 26103.702] (II) Unloading evdev

and then for a failed session

[    42.759] (**) Option "xkb_model" "pc105"
[    42.759] (**) Option "xkb_layout" "us"
[    42.760] (**) Option "xkb_options" "lv3:ralt_switch"
[    42.769] (II) Power Button: Close
[    42.769] (II) UnloadModule: "evdev"
[    42.769] (II) Unloading evdev

We see that it only takes nodm 0.009 seconds to die.
(We look at the same spot where we used it for hours in the normal
session.)

Of course there is no other trace in /var/log of what happened.

All I know is it happens every time now I start from boot and I call
nodm from /etc/rc.local:
echo "============ $0:
Will execute \"${program=/etc/init.d/nodm start}\" in ${seconds=5} seconds.
  Hit some chars and RET to cancel.
  Hit RET to start right away."
# Hit ^C to cancel -- doesn't work.
for ((; seconds > 0; seconds--))
do
    read -p $seconds.. -t 1
    case $? in 0) #they hit RET...
	    case $REPLY in
		'') break  ;; #...with no other chars
		*)  exit 44;; #...with other chars
	    esac;;
    esac
done
echo running $program...
$program

P.S.,
# sysv-rc-conf --list nodm
nodm         2:off	3:off	4:off	5:off
In /etc/default/nodm I only changed
NODM_ENABLED=true
NODM_USER=jidanni
And /home/jidanni/.xsession-errors
is not touched during by the .009 second crash.

$ /usr/sbin/sysv-rc-conf --list
acpid        2:on	3:on	4:on	5:on
alsa-utils   0:off	6:off	S:on
anacron      2:off	3:off	4:off	5:off
apache2      0:off	1:off	2:off	3:off	4:off	5:off	6:off
atd          0:off	1:off	2:on	3:on	4:on	5:on	6:off
bootlogd     S:on
bootlogs     1:on	2:on	3:on	4:on	5:on
console-setu S:on
cron         1:off	2:on	3:on	4:on	5:on
dbus         2:on	3:on	4:on	5:on
dictd        1:off	2:on	3:on	4:on	5:on
exim4        0:off	1:off	2:on	3:on	4:on	5:on	6:off
halt         0:off
ifplugd      0:off	1:off	2:off	3:off	4:off	5:off	6:off
ifupdown     S:on
ifupdown-cle S:on
kbd          S:on
keyboard-set S:on
killprocs    1:on
module-init- S:on
mountoverflo S:on
mysql        0:off	1:off	2:off	3:off	4:off	5:off	6:off
networking   0:off	6:off	S:on
nodm         2:off	3:off	4:off	5:off
ntp          0:off	1:off	2:off	3:off	4:off	5:off	6:off
pdnsd        0:off	1:off	2:on	3:on	4:on	5:on	6:off	S:off
pppd-dns     S:on
procps       S:on
rc.local     2:on	3:on	4:on	5:on
reboot       6:off
resolvconf   0:off	6:off	S:on
rmnologin    2:on	3:on	4:on	5:on
rsync        2:on	3:on	4:on	5:on
rsyslog      0:off	1:off	2:on	3:on	4:on	5:on	6:off
screen-clean S:on
sendsigs     0:off	6:off
single       1:on
smartd      
smartmontool 1:off	2:on	3:on	4:on	5:on
ssh          2:off	3:off	4:off	5:off
stop-bootlog 2:on	3:on	4:on	5:on
stop-bootlog S:on
udev         S:on
udev-mtab    S:on
umountfs     0:off	6:off
umountroot   0:off	6:off
urandom      0:off	6:off	S:on
wicd         0:off	1:off	2:off	3:off	4:off	5:off	6:off
wwwoffle     0:off	1:off	2:on	3:on	4:on	5:on	6:off
x11-common   S:on
xfstt        0:off	1:off	2:off	3:off	4:off	5:off	6:off

-- System Information:
Debian Release: wheezy/sid
  APT prefers unstable
  APT policy: (500, 'unstable'), (1, 'experimental') [Ah, so that's how
  I've set it up]
Architecture: i386 (i686)

Kernel: Linux 2.6.39-2-486
Locale: LANG=zh_TW.UTF-8, LC_CTYPE=zh_TW.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash

Versions of packages nodm depends on:
ii  debconf [debconf-2.0]         1.5.40     Debian configuration management sy
ii  libc6                         2.13-10    Embedded GNU C Library: Shared lib
ii  libpam0g                      1.1.3-2    Pluggable Authentication Modules l
ii  libx11-6                      2:1.4.3-2  X11 client-side library
ii  x11-common                    1:7.6+7    X Window System (X.Org) infrastruc
ii  x11-xserver-utils             7.6+3      X server utilities

nodm recommends no packages.

nodm suggests no packages.

-- debconf information:
* nodm/xinit: /usr/bin/xinit
* nodm/x_options: vt7 -nolisten tcp
* nodm/min_session_time: 60
* nodm/enabled: true
* nodm/xsession: /etc/X11/Xsession
* nodm/first_vt: 7
* nodm/user: jidanni




Information forwarded to debian-bugs-dist@lists.debian.org, Debian FreeSmartphone.Org Team <pkg-fso-maint@lists.alioth.debian.org>:
Bug#633089; Package nodm. (Mon, 11 Jul 2011 23:51:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to jidanni@jidanni.org:
Extra info received and forwarded to list. Copy sent to Debian FreeSmartphone.Org Team <pkg-fso-maint@lists.alioth.debian.org>. (Mon, 11 Jul 2011 23:51:04 GMT) Full text and rfc822 format available.

Message #61 received at 633089@bugs.debian.org (full text, mbox):

From: jidanni@jidanni.org
To: enrico@enricozini.org
Cc: 633089@bugs.debian.org
Subject: Re: Bug#633089: does start from rc.local on some of my machines though
Date: Tue, 12 Jul 2011 07:49:54 +0800
Starting from rc.local:
Well on my machine
jidanni2, it worked 0/2 times.
jidanni1, it worked 1/1 times.
So we will just keep collecting statistics as the days go by.




Information forwarded to debian-bugs-dist@lists.debian.org, Debian FreeSmartphone.Org Team <pkg-fso-maint@lists.alioth.debian.org>:
Bug#633089; Package nodm. (Mon, 11 Jul 2011 23:54:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to jidanni@jidanni.org:
Extra info received and forwarded to list. Copy sent to Debian FreeSmartphone.Org Team <pkg-fso-maint@lists.alioth.debian.org>. (Mon, 11 Jul 2011 23:54:07 GMT) Full text and rfc822 format available.

Message #66 received at 633089@bugs.debian.org (full text, mbox):

From: jidanni@jidanni.org
To: enrico@enricozini.org
Cc: 633089@bugs.debian.org
Subject: Re: Bug#633089: does start from rc.local on some of my machines though
Date: Tue, 12 Jul 2011 07:51:37 +0800
Never mind that last mail. On jidanni1 I hadn't yet upgraded. No matter
it started OK. Duh. Sorry.




Information forwarded to debian-bugs-dist@lists.debian.org, Debian FreeSmartphone.Org Team <pkg-fso-maint@lists.alioth.debian.org>:
Bug#633089; Package nodm. (Tue, 12 Jul 2011 00:18:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Timo Juhani Lindfors <timo.lindfors@iki.fi>:
Extra info received and forwarded to list. Copy sent to Debian FreeSmartphone.Org Team <pkg-fso-maint@lists.alioth.debian.org>. (Tue, 12 Jul 2011 00:18:03 GMT) Full text and rfc822 format available.

Message #71 received at 633089@bugs.debian.org (full text, mbox):

From: Timo Juhani Lindfors <timo.lindfors@iki.fi>
To: jidanni@jidanni.org
Cc: 633089@bugs.debian.org, enrico@enricozini.org
Subject: Re: [pkg-fso-maint] Bug#633089: does start from rc.local on some of my machines though
Date: Tue, 12 Jul 2011 03:14:14 +0300
jidanni@jidanni.org writes:
> Starting from rc.local:
> Well on my machine
> jidanni2, it worked 0/2 times.
> jidanni1, it worked 1/1 times.
> So we will just keep collecting statistics as the days go by.

Does your rc.local start with "#!/bin/sh -e"?

If yes, please note that you are using a lot of bash-only constructs and
you are not taking "-e" into account in your script.






Information forwarded to debian-bugs-dist@lists.debian.org, Debian FreeSmartphone.Org Team <pkg-fso-maint@lists.alioth.debian.org>:
Bug#633089; Package nodm. (Tue, 12 Jul 2011 02:51:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to jidanni@jidanni.org:
Extra info received and forwarded to list. Copy sent to Debian FreeSmartphone.Org Team <pkg-fso-maint@lists.alioth.debian.org>. (Tue, 12 Jul 2011 02:51:06 GMT) Full text and rfc822 format available.

Message #76 received at 633089@bugs.debian.org (full text, mbox):

From: jidanni@jidanni.org
To: timo.lindfors@iki.fi
Cc: 633089@bugs.debian.org, enrico@enricozini.org
Subject: Re: [pkg-fso-maint] Bug#633089: does start from rc.local on some of my machines though
Date: Tue, 12 Jul 2011 10:47:15 +0800
TJL> Does your rc.local start with "#!/bin/sh -e"?
Yes but I then do set +e.
OK, I'll put an exit 0 at the bottom and see if that helps on the one
machine where I am still having the problem starting from /etc/rc.local .
The other machine is OK.




Information forwarded to debian-bugs-dist@lists.debian.org, Debian FreeSmartphone.Org Team <pkg-fso-maint@lists.alioth.debian.org>:
Bug#633089; Package nodm. (Tue, 12 Jul 2011 13:45:15 GMT) Full text and rfc822 format available.

Acknowledgement sent to jidanni@jidanni.org:
Extra info received and forwarded to list. Copy sent to Debian FreeSmartphone.Org Team <pkg-fso-maint@lists.alioth.debian.org>. (Tue, 12 Jul 2011 13:45:16 GMT) Full text and rfc822 format available.

Message #81 received at 633089@bugs.debian.org (full text, mbox):

From: jidanni@jidanni.org
To: 633089@bugs.debian.org
Cc: enrico@enricozini.org
Subject: Re: Bug#633089: doesn't read ~/.Xresources anymore etc. etc.
Date: Tue, 12 Jul 2011 21:44:47 +0800
Implementing a

$ cat /usr/sbin/nodm
#!/bin/sh
strace $0.real 2> /tmp/ere

reveals

time(NULL)                              = 1310476722
send(3, "<83>Jul 12 21:18:42 nodm[1632]: "..., 72, MSG_NOSIGNAL) = 72
rt_sigprocmask(SIG_SETMASK, ~[KILL STOP RTMIN RT_1], NULL, 8) = 0
waitpid(1633, 0xbfcc4f68, WNOHANG)      = 0
time(NULL)                              = 1310476722
send(3, "<85>Jul 12 21:18:42 nodm[1632]: "..., 69, MSG_NOSIGNAL) = 69
kill(1633, SIGTERM)                     = 0
kill(1633, SIGCONT)                     = 0

from which we see

/var/log/auth.log
Jul 12 21:18:37 jidanni2 nodm[1632]: starting nodm
Jul 12 21:18:42 jidanni2 nodm[1632]: X server did not respond after 5 seconds
Jul 12 21:18:42 jidanni2 nodm[1632]: sending X server 1633 the TERM signal

from which we conclude maybe my hardware is not as fast as Enrico's.
Fortunately there is a way for the average home user to try six
seconds instead of five. What is it? Thanks.




Information forwarded to debian-bugs-dist@lists.debian.org, Debian FreeSmartphone.Org Team <pkg-fso-maint@lists.alioth.debian.org>:
Bug#633089; Package nodm. (Tue, 12 Jul 2011 14:09:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to jidanni@jidanni.org:
Extra info received and forwarded to list. Copy sent to Debian FreeSmartphone.Org Team <pkg-fso-maint@lists.alioth.debian.org>. (Tue, 12 Jul 2011 14:09:07 GMT) Full text and rfc822 format available.

Message #86 received at 633089@bugs.debian.org (full text, mbox):

From: jidanni@jidanni.org
To: 633089@bugs.debian.org
Cc: enrico@enricozini.org
Subject: Re: Bug#633089: doesn't read ~/.Xresources anymore etc. etc.
Date: Tue, 12 Jul 2011 22:06:09 +0800
[Message part 1 (text/plain, inline)]
And indeed, here is the corresponding Xorg.0.log showing what was going
on in those vital five seconds before the assassination. Indeed
apparently the clock started ticking even before X was logging things.
You know, I bet the best thing to do would not be to create such RACE
CONDITIONS at all, and instead have it be a not default option in
/etc/default/nodm for those who want it.
[Xorg.0.log.old.gz (application/octet-stream, attachment)]
[Message part 3 (text/plain, inline)]
However I have been wrong in the past.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian FreeSmartphone.Org Team <pkg-fso-maint@lists.alioth.debian.org>:
Bug#633089; Package nodm. (Wed, 13 Jul 2011 22:33:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to jidanni@jidanni.org:
Extra info received and forwarded to list. Copy sent to Debian FreeSmartphone.Org Team <pkg-fso-maint@lists.alioth.debian.org>. (Wed, 13 Jul 2011 22:33:03 GMT) Full text and rfc822 format available.

Message #91 received at 633089@bugs.debian.org (full text, mbox):

From: jidanni@jidanni.org
To: 633089@bugs.debian.org
Cc: enrico@enricozini.org
Subject: Re: Bug#633089: does start from rc.local on some of my machines though
Date: Thu, 14 Jul 2011 06:29:51 +0800
On two of three of my machines I can't start nodm from rc.local.
It seems it is not purely a "takes longer to load on first run" than the
five seconds given problem, however it would be great to be allowed a
way to add a few seconds.




Information forwarded to debian-bugs-dist@lists.debian.org, Debian FreeSmartphone.Org Team <pkg-fso-maint@lists.alioth.debian.org>:
Bug#633089; Package nodm. (Thu, 14 Jul 2011 13:33:12 GMT) Full text and rfc822 format available.

Acknowledgement sent to jidanni@jidanni.org:
Extra info received and forwarded to list. Copy sent to Debian FreeSmartphone.Org Team <pkg-fso-maint@lists.alioth.debian.org>. (Thu, 14 Jul 2011 13:33:13 GMT) Full text and rfc822 format available.

Message #96 received at 633089@bugs.debian.org (full text, mbox):

From: jidanni@jidanni.org
To: 633089@bugs.debian.org
Cc: enrico@enricozini.org
Subject: Re: Bug#633089: doesn't read ~/.Xresources anymore etc. etc.
Date: Thu, 14 Jul 2011 21:08:33 +0800
Confirmed!: there must not be any other jobs running at the time nodm
starts, else nodm usually cannot set itself up in the precious five
seconds the authors have allotted, unless one has expensive Italian
hardware.

In /etc/rc.local I now do
( sleep 66; batch <<EOF
apt-show-versions|egrep '\*|newer than version in archive'
EOF
)&
to make sure it starts long after nodm has successfully launched.
And lo and behold, I can now start nodm from rc.local on all my computers!
So all along it was that author in his Ferrari responsible for those
RACE conditions.




Information forwarded to debian-bugs-dist@lists.debian.org, Debian FreeSmartphone.Org Team <pkg-fso-maint@lists.alioth.debian.org>:
Bug#633089; Package nodm. (Fri, 15 Jul 2011 13:00:27 GMT) Full text and rfc822 format available.

Acknowledgement sent to Enrico Zini <enrico@enricozini.org>:
Extra info received and forwarded to list. Copy sent to Debian FreeSmartphone.Org Team <pkg-fso-maint@lists.alioth.debian.org>. (Fri, 15 Jul 2011 13:00:28 GMT) Full text and rfc822 format available.

Message #101 received at 633089@bugs.debian.org (full text, mbox):

From: Enrico Zini <enrico@enricozini.org>
To: jidanni@jidanni.org
Cc: 633089@bugs.debian.org
Subject: Re: Bug#633089: doesn't read ~/.Xresources anymore etc. etc.
Date: Fri, 15 Jul 2011 14:22:42 +0200
[Message part 1 (text/plain, inline)]
On Thu, Jul 14, 2011 at 09:08:33PM +0800, jidanni@jidanni.org wrote:

> seconds the authors have allotted, unless one has expensive Italian
> hardware.
[...]
> So all along it was that author in his Ferrari responsible for those
> RACE conditions.

Personal abuse does not belong in the BTS. Please stop it.

Enrico

-- 
GPG key: 4096R/E7AD5568 2009-05-08 Enrico Zini <enrico@enricozini.org>
[signature.asc (application/pgp-signature, inline)]

Bug Marked as found in versions nodm/0.9-1. Request was from jidanni@jidanni.org to control@bugs.debian.org. (Sun, 17 Jul 2011 05:18:03 GMT) Full text and rfc822 format available.

Changed Bug title to 'hardwired 5 second limit assumes unloaded system' from 'nodm: does not read X resources' Request was from jidanni@jidanni.org to control@bugs.debian.org. (Sun, 17 Jul 2011 05:18:05 GMT) Full text and rfc822 format available.

Reply sent to Enrico Zini <enrico@debian.org>:
You have taken responsibility. (Tue, 19 Jul 2011 22:09:03 GMT) Full text and rfc822 format available.

Notification sent to jidanni@jidanni.org:
Bug acknowledged by developer. (Tue, 19 Jul 2011 22:09:04 GMT) Full text and rfc822 format available.

Message #110 received at 633089-close@bugs.debian.org (full text, mbox):

From: Enrico Zini <enrico@debian.org>
To: 633089-close@bugs.debian.org
Subject: Bug#633089: fixed in nodm 0.10-1
Date: Tue, 19 Jul 2011 22:04:58 +0000
Source: nodm
Source-Version: 0.10-1

We believe that the bug you reported is fixed in the latest version of
nodm, which is due to be installed in the Debian FTP archive:

nodm_0.10-1.diff.gz
  to main/n/nodm/nodm_0.10-1.diff.gz
nodm_0.10-1.dsc
  to main/n/nodm/nodm_0.10-1.dsc
nodm_0.10-1_amd64.deb
  to main/n/nodm/nodm_0.10-1_amd64.deb
nodm_0.10.orig.tar.gz
  to main/n/nodm/nodm_0.10.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 633089@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Enrico Zini <enrico@debian.org> (supplier of updated nodm package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Tue, 19 Jul 2011 23:35:24 +0200
Source: nodm
Binary: nodm
Architecture: source amd64
Version: 0.10-1
Distribution: unstable
Urgency: low
Maintainer: Debian FreeSmartphone.Org Team <pkg-fso-maint@lists.alioth.debian.org>
Changed-By: Enrico Zini <enrico@debian.org>
Description: 
 nodm       - automatic display manager
Closes: 633089
Changes: 
 nodm (0.10-1) unstable; urgency=low
 .
   * New upstream version
      - default X start timeout increased to 30 seconds. Closes: #633089
      - X start timeout configurable via NODM_X_TIMEOUT
Checksums-Sha1: 
 1cc8aa1d9e2d07a658a05679a8a228d9b1b4c6c8 1862 nodm_0.10-1.dsc
 fbf9c68d0fa3b21d6ea0498a4cc85bedd0014ebe 119192 nodm_0.10.orig.tar.gz
 79468d3cde3ef4610774d1b9f8f0b2986be99d39 17950 nodm_0.10-1.diff.gz
 6adaddbeac6bf0ba5b69c098e8a8862a9e21f2c4 32926 nodm_0.10-1_amd64.deb
Checksums-Sha256: 
 39016f291c1dec618e4bf8333a15f23c947dbf6dcb16acf620de0530a491d2a9 1862 nodm_0.10-1.dsc
 1815047d8ff31fbb186d9de1c238079ecc8b648e3861b207e7765da10f1c1b01 119192 nodm_0.10.orig.tar.gz
 1a9e58c53249619284cdb287bfed2888080555540b5bbf495d6f2eed0e500722 17950 nodm_0.10-1.diff.gz
 6deb7e56cde2604d144256a8a2320841043a58a8267763d9f359db59ee202d36 32926 nodm_0.10-1_amd64.deb
Files: 
 e76803679ff97434a39a7ee3face88c4 1862 misc extra nodm_0.10-1.dsc
 bfa318cceb9f507e78c9b195c4d6ecfd 119192 misc extra nodm_0.10.orig.tar.gz
 b8bcd4504771d2fc2b0d1fe281bdbbde 17950 misc extra nodm_0.10-1.diff.gz
 80a1cc839ee209f20596c3ee7856af0f 32926 misc extra nodm_0.10-1_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)

iQIcBAEBCAAGBQJOJfqwAAoJEB5qw/OH8O2sX4UP/RVzJzyDcdWlpM6pgYkBdUQh
vshihqa4DoEo120s/JbjUp42QGiSCIkM2HUxVSCXcxh+dNM+S1eAAQ6TcSLq8Kss
TqaNWb7vdeFwU4XvdmebZGD3Ub9NmNBeTLxWdmmoTaKuN5bvTVTFza30pO5YTp6z
18ZVDvE7uAL3e+6RChtNrRROIlcMddhPFYVRSB8NAz0MS9WQdWKEBEoEUdF3m+oq
c41aTzyxv9ZLSk1quqcnoKUxGGezLhdQr9Me2OkLMWq8uyoBQAVGSkdg3GG20u+q
iSwBIc7BfJa5uvuFSb8/Dd/EinaMzx2kZ36aoL+ZtXkKTnSE6ONH8zQNJTmiPAa6
YesVOAAzp8HbiQxbKzfGkQ+qLmQdNcrWnAGLikCG4SQbM4WyM+36xdZ7mup62vgO
dClRzsRQ+tqsHNpzgk18VEZZV4I+OxOOb2mjsulFpzpEFwcLceR4A2WcQLPFzZ+t
7dh8cHPTZULKiQCmdhxM6b+MQkV1n3c3mAZ/BYUy/A/JjrAIkmFTDYAUS6wj/S8H
HR3/Iw5cqDVNNLhXvAPTKaOsTyzdLpT46uWd4u6AtiTWQd8My2p+CwOcEwXlUW3c
4LgHq0OZp7DZKDiSXBbjpn/Ug4DD8WUUQ7NiF5v520kH5b2YUtIPblUvZhdDNYfR
YenzL0pylJX9fNqBa6+I
=jUZ1
-----END PGP SIGNATURE-----





Information forwarded to debian-bugs-dist@lists.debian.org, Debian FreeSmartphone.Org Team <pkg-fso-maint@lists.alioth.debian.org>:
Bug#633089; Package nodm. (Thu, 21 Jul 2011 12:51:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to jidanni@jidanni.org:
Extra info received and forwarded to list. Copy sent to Debian FreeSmartphone.Org Team <pkg-fso-maint@lists.alioth.debian.org>. (Thu, 21 Jul 2011 12:51:08 GMT) Full text and rfc822 format available.

Message #115 received at 633089@bugs.debian.org (full text, mbox):

From: jidanni@jidanni.org
To: 633089@bugs.debian.org
Subject: Bug#633089 doc patch
Date: Thu, 21 Jul 2011 19:38:37 +0800
Please apply:

--- README.orig	2011-07-20 05:37:53.000000000 +0800
+++ README	2011-07-21 19:30:58.243473406 +0800
@@ -49 +49 @@
-Configuration is made via 5 environment variables:
+Configuration is made via these environment variables:

P.S., you might wish to put NODM_X_TIMEOUT into
postinst
templates




Bug No longer marked as fixed in versions nodm/0.10-1 and reopened. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 25 Jul 2011 23:27:02 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 16:04:50 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.